## org.apache.batik.ext.awt.image.codec.jpeg
Class JPEGImageWriter

    java.lang.Object
      org.apache.batik.ext.awt.image.codec.jpeg.JPEGImageWriter

All Implemented Interfaces:
  ImageWriter

    public class JPEGImageWriter

extends java.lang.Object
implements ImageWriter

ImageWriter implementation that uses the sun.com.image.codec.jpeg intefaces to write JPEG files.

Constructor Summary
`JPEGImageWriter()`

Method Summary
`java.lang.String` `getMIMEType()`
`void` `writeImage(java.awt.image.RenderedImage image, java.io.OutputStream out)`
`void` `writeImage(java.awt.image.RenderedImage image, java.io.OutputStream out, ImageWriterParams params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPEGImageWriter

    public JPEGImageWriter()

Method Detail

### writeImage

    public void writeImage(java.awt.image.RenderedImage image,
                           java.io.OutputStream out)
                    throws java.io.IOException

  Specified by:
    `writeImage` in interface `ImageWriter`
  Throws:
    `java.io.IOException`
  See Also:
    `ImageWriter.writeImage(java.awt.image.RenderedImage, java.io.OutputStream)`

### writeImage

    public void writeImage(java.awt.image.RenderedImage image,
                           java.io.OutputStream out,
                           ImageWriterParams params)
                    throws java.io.IOException

  Specified by:
    `writeImage` in interface `ImageWriter`
  Throws:
    `java.io.IOException`
  See Also:
    `ImageWriter.writeImage(java.awt.image.RenderedImage, java.io.OutputStream, org.apache.batik.ext.awt.image.spi.ImageWriterParams)`

### getMIMEType

    public java.lang.String getMIMEType()

  Specified by:
    `getMIMEType` in interface `ImageWriter`
  See Also:
    `ImageWriter.getMIMEType()`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.